%global momorel 1

Name:           perl-Perl-Critic
Version:        0.2
Release:        %{momorel}m
Summary:        Critique Perl source code for best-practices
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Critic/
Source0:        http://www.cpan.org/authors/id/T/TH/THALJEF/perlcritic/Perl-Critic-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Config::Tiny) >= 2
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Perl::Tidy)
BuildRequires:  perl(PPI) >= 1.117
BuildRequires:  perl(String::Format) >= 1.13
# BuildRequires:  perl(Test::Perl::Critic)
Requires:       perl(Config::Tiny) >= 2
Requires:       perl(File::HomeDir)
Requires:       perl(IO::String)
Requires:       perl(List::MoreUtils)
Requires:       perl(Module::Pluggable)
Requires:       perl(Perl::Tidy)
Requires:       perl(PPI) >= 1.117
Requires:       perl(String::Format) >= 1.13
Requires:       perl(Test::Perl::Critic)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code
analysis engine. Perl::Critic is distributed with a number of
Perl::Critic::Policy modules that attempt to enforce various coding
guidelines. Most Policy modules are based on Damian Conway's book Perl Best
Practices. However, Perl::Critic is not limited to PBP and will even
support Policies that contradict Conway. You can enable, disable, and
customize those Polices through the Perl::Critic interface. You can also
create new Policy modules that suit your own tastes.

%prep
%setup -q -n Perl-Critic-%{version}

%build
%{__perl} Build.PL installdirs=site
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/perlcritic
%{perl_sitelib}/Perl/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
